# SoLightKit Class Reference
[Node Kits]

`#include <Inventor/nodekits/SoLightKit.h>`

Inheritance diagram for SoLightKit:

List of all members.

## Detailed Description

The SoLightKit class provides a kit with a transform, a light and a shape or subgraph.

Node kit structure (new entries versus parent class marked with arrow prefix):

      CLASS SoLightKit
      -->"this"
            "callbackList"
      -->   "transformGroup"
      -->      "transform"
      -->      "light"
      -->      "iconSeparator"
      -->         "icon"

(See SoBaseKit::printDiagram() for information about the output formatting.)

Detailed information on catalog parts:

      CLASS SoLightKit
      PVT   "this",  SoLightKit  ---
            "callbackList",  SoNodeKitListPart [ SoCallback, SoEventCallback ]
      PVT   "transformGroup",  SoTransformSeparator  ---
            "transform",  SoTransform  ---
            "light",  SoLight  --- , (default type = SoDirectionalLight)
      PVT   "iconSeparator",  SoSeparator  ---
            "icon",  SoNode  --- , (default type = SoCube)

(See SoBaseKit::printTable() for information about the output formatting.)

## Public Member Functions

| SoLightKit (void)

## Static Public Member Functions

void | initClass (void)

## Protected Member Functions

virtual | ~SoLightKit ()

## Constructor & Destructor Documentation

SoLightKit::SoLightKit | ( | void |  | ) |

| Constructor.

SoLightKit::~SoLightKit | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoLightKit::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoBaseKit.

The documentation for this class was generated from the following files:

- SoLightKit.h
- SoLightKit.cpp